#!/usr/bin/env python3

import logging, setuptools, strings, telegram.ext

logging.basicConfig(format='%(asctime)s - %(name)s - %(levelname)s - %(message)s', level=logging.INFO)

updater = telegram.ext.Updater(token=setuptools.token())

def start(bot, update):
 bot.sendMessage(chat_id=update.message.chat_id, text=strings.start)

def auth(bot, update):
 bot.sendMessage(chat_id=update.message.chat_id, text="Ooops. Not implemented yet.")

updater.dispatcher.add_handler(telegram.ext.CommandHandler("start", start))
updater.dispatcher.add_handler(telegram.ext.CommandHandler("auth", auth))

try:
 updater.start_polling()
except KeyboardInterrupt:
 updater.stop()
